Get Terms of Service information
Returns the available Terms of Service agreements (product, current version, terms URL, effective date). Omit product_type to return all products; pass it to scope to one.
GET
/
terms_of_service
/
info
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.termsOfService.info();
console.log(response.agreements);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.terms_of_service.info()
print(response.agreements)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.TermsOfService.Info(context.TODO(), telnyx.TermsOfServiceInfoParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Agreements)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.termsofservice.TermsOfServiceInfoParams;
import com.telnyx.sdk.models.termsofservice.TermsOfServiceInfoResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TermsOfServiceInfoResponse response = client.termsOfService().info();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.terms_of_service.info
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->termsOfService->info(productType: 'branded_calling');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx terms-of-service info \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/terms_of_service/info \
--header 'Authorization: Bearer <token>'{
"agreements": [
{
"product_type": "branded_calling",
"current_version": "v1.0.0",
"terms_url": "https://telnyx.com/terms/reputation-services",
"effective_date": "2025-07-10",
"description": "Terms and Conditions for Telnyx Number Reputation service"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional product filter. Omit to return info for all products. Telnyx product the Terms of Service apply to.
Available options:
branded_calling, number_reputation Example:
"branded_calling"
Response
Terms of Service information.
Show child attributes
Show child attributes
Was this page helpful?
Agree to the Branded Calling Terms of Service
Previous
Get the calling user's Terms of Service status
Next
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.termsOfService.info();
console.log(response.agreements);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.terms_of_service.info()
print(response.agreements)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.TermsOfService.Info(context.TODO(), telnyx.TermsOfServiceInfoParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Agreements)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.termsofservice.TermsOfServiceInfoParams;
import com.telnyx.sdk.models.termsofservice.TermsOfServiceInfoResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
TermsOfServiceInfoResponse response = client.termsOfService().info();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.terms_of_service.info
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->termsOfService->info(productType: 'branded_calling');
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx terms-of-service info \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/terms_of_service/info \
--header 'Authorization: Bearer <token>'{
"agreements": [
{
"product_type": "branded_calling",
"current_version": "v1.0.0",
"terms_url": "https://telnyx.com/terms/reputation-services",
"effective_date": "2025-07-10",
"description": "Terms and Conditions for Telnyx Number Reputation service"
}
]
}